# eric4.DocumentationTools.APIGenerator

Module implementing the builtin API generator.

### Global Attributes

None

### Classes

APIGenerator | Class implementing the builtin documentation generator.

### Functions

None

## APIGenerator

Class implementing the builtin documentation generator.

### Derived from

object

### Class Attributes

None

### Class Methods

None

### Methods

APIGenerator | Constructor
__addClassVariablesAPI | Private method to generate class api section for class variables.
__addClassesAPI | Private method to generate the api section for classes.
__addFunctionsAPI | Private method to generate the api section for functions.
__addGlobalsAPI | Private method to generate the api section for global variables.
__addMethodsAPI | Private method to generate the api section for class methods.
__isPrivate | Private method to check, if an object is considered private.
genAPI | Method to generate the source code documentation.

### Static Methods

None

#### APIGenerator (Constructor)

APIGenerator(module)

Constructor

module
  The information of the parsed Python file.

#### APIGenerator.__addClassVariablesAPI

__addClassVariablesAPI(className)

Private method to generate class api section for class variables.

classname
  Name of the class containing the class variables. (string)

#### APIGenerator.__addClassesAPI

__addClassesAPI()

Private method to generate the api section for classes.

#### APIGenerator.__addFunctionsAPI

__addFunctionsAPI()

Private method to generate the api section for functions.

#### APIGenerator.__addGlobalsAPI

__addGlobalsAPI()

Private method to generate the api section for global variables.

#### APIGenerator.__addMethodsAPI

__addMethodsAPI(className)

Private method to generate the api section for class methods.

classname
  Name of the class containing the method. (string)

#### APIGenerator.__isPrivate

__isPrivate(obj)

Private method to check, if an object is considered private.

obj
  reference to the object to be checked

Returns:
  flag indicating, that object is considered private (boolean)

#### APIGenerator.genAPI

genAPI(newStyle, basePackage, includePrivate)

Method to generate the source code documentation.

newStyle
  flag indicating the api generation for QScintilla 1.7 and newer (boolean)
basePackage
  name of the base package (string)
includePrivate
  flag indicating to include private methods/functions (boolean)

Returns:
  The API information. (string)

Up